ubuntu/+source/nut:applied/ubuntu/zesty

Last commit made on 2017-02-17
Get this branch:
git clone -b applied/ubuntu/zesty https://git.launchpad.net/ubuntu/+source/nut
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/zesty
Repository:
lp:ubuntu/+source/nut

Recent commits

7e532de... by Adam Conrad on 2017-02-17

Import patches-applied version 2.7.4-5ubuntu2 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 9a3a17caff97a5c876d48886bb8ab632c8005201
Unapplied parent: faf804fc3794354b28dc35540ccababcc8781b14

New changelog entries:
  * debian/libnutclient0.symbols: Correct symbols file for ppc64el.

faf804f... by Adam Conrad on 2017-02-17

0009-fix-nutshutdown-install.patch

No DEP3 Subject or Description header found

Gbp-Pq: 0009-fix-nutshutdown-install.patch.

43b20ad... by Adam Conrad on 2017-02-17

0008-drop-w3c-icons.patch

No DEP3 Subject or Description header found

Gbp-Pq: 0008-drop-w3c-icons.patch.

91ebad0... by Adam Conrad on 2017-02-17

0006-ups-conf-maxretry.patch

No DEP3 Subject or Description header found

Gbp-Pq: 0006-ups-conf-maxretry.patch.

0e82905... by Adam Conrad on 2017-02-17

Fix systemd service file for Debian

Gbp-Pq: 0004-fix-systemd-service.patch.

96b76e1... by Adam Conrad on 2017-02-17

0002-nut-monitor-paths.patch

No DEP3 Subject or Description header found

Gbp-Pq: 0002-nut-monitor-paths.patch.

9498766... by Adam Conrad on 2017-02-17

Adjust .pc paths to install development files to /usr

Gbp-Pq: 0003-install-dev-files-in-usr.patch.

d91feed... by Adam Conrad on 2017-02-17

Import patches-unapplied version 2.7.4-5ubuntu2 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: f9e8a51edb4f20cdd35a881c8e87e9cda417675b

New changelog entries:
  * debian/libnutclient0.symbols: Correct symbols file for ppc64el.

9a3a17c... by Louis Bouchard on 2016-12-15

Import patches-applied version 2.7.4-5ubuntu1 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: ebff77373e0a68a264e869fbafe5e95581b1737a
Unapplied parent: 19376b3c799a430857b6e3add48d56305619c1ca

New changelog entries:
  * Merge with Debian; remaining changes (LP: #1643618)
    - debian/control:
      + remove Build-Depends on libpowerman0-dev
      + remove nut-powerman-pdu
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
      unconditional, since adduser is guaranteed to be idempotent.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install). The
      init.d script works well enough for the time being.
    - debian/tests/test-nut.py:
      + In the CVE_2012_2944 test, give nut at most 5 seconds to shut down,
        instead of expecting it to be shut down immediately after sending the
        killall.
      + Additional indication on how to run tests for oneiric, precise to
        vivid and wily+
    - debian/tests/control : Fix dep8 test failures:
      + Drop python-unit from dep8 dependencies since the python-test
        package has now been removed. The unittest module has shipped with
        Python since 2.1.
      + Add dep8 test dependency on python, since Python 2 is required and
        is not necessarily installed by default any more.
  * Dropped changes:
    - Patch libtool.m4 and configure to support ppc64le. (Fixed upstream)
    - Remove unnecessary chmod 755 on files introduced by previous merge,
      assumed to be an error
    - debian/patches/0006-ups-conf-maxretry.patch: documentation tweaks
      (unnecessary Ubuntu delta). This was formerly listed as "Move maxretry
      setting above Examples section" but no longer did this at all.
  * Replace outdated indictions on how to run tests (Oneric, Precise, Vivid,
    Wily+) with proper indications for current version (Xenial+)

f9e8a51... by Louis Bouchard on 2016-12-15

Import patches-unapplied version 2.7.4-5ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 9673ec4aef76add240bd41aa527192c85d3359a6
Upload parent: 45bdc714e64877f678f85ebd8fe7ad4a4c1029b9

New changelog entries:
  * Merge with Debian; remaining changes (LP: #1643618)
    - debian/control:
      + remove Build-Depends on libpowerman0-dev
      + remove nut-powerman-pdu
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
      unconditional, since adduser is guaranteed to be idempotent.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install). The
      init.d script works well enough for the time being.
    - debian/tests/test-nut.py:
      + In the CVE_2012_2944 test, give nut at most 5 seconds to shut down,
        instead of expecting it to be shut down immediately after sending the
        killall.
      + Additional indication on how to run tests for oneiric, precise to
        vivid and wily+
    - debian/tests/control : Fix dep8 test failures:
      + Drop python-unit from dep8 dependencies since the python-test
        package has now been removed. The unittest module has shipped with
        Python since 2.1.
      + Add dep8 test dependency on python, since Python 2 is required and
        is not necessarily installed by default any more.
  * Dropped changes:
    - Patch libtool.m4 and configure to support ppc64le. (Fixed upstream)
    - Remove unnecessary chmod 755 on files introduced by previous merge,
      assumed to be an error
    - debian/patches/0006-ups-conf-maxretry.patch: documentation tweaks
      (unnecessary Ubuntu delta). This was formerly listed as "Move maxretry
      setting above Examples section" but no longer did this at all.
  * Replace outdated indictions on how to run tests (Oneric, Precise, Vivid,
    Wily+) with proper indications for current version (Xenial+)